# BlendDataLamps(bpy_struct)

base class — `bpy_struct`

class `bpy.types.``BlendDataLamps`(bpy_struct)

  Collection of lamps

  `is_updated`

    Type: | boolean, default False, (readonly)

  `new`(name, type)

    Add a new lamp to the main database

    Parameters: | name (string, (never None)) – New name for the data-block type (enum in [‘POINT’, ‘SUN’, ‘SPOT’, ‘HEMI’, ‘AREA’]) – Type, The type of texture to add `POINT` Point, Omnidirectional point light source. `SUN` Sun, Constant direction parallel ray light source. `SPOT` Spot, Directional cone light source. `HEMI` Hemi, 180 degree constant light source. `AREA` Area, Directional area light source.
    Returns: | New lamp data-block
    Return type: | `Lamp`

  `remove`(lamp)

    Remove a lamp from the current blendfile

    Parameters: | lamp (`Lamp`, (never None)) – Lamp to remove

  `tag`(value)

    tag

    Parameters: | value (boolean) – Value

Inherited Properties

`bpy_struct.id_data` |

Inherited Functions

`bpy_struct.as_pointer` `bpy_struct.driver_add` `bpy_struct.driver_remove` `bpy_struct.get` `bpy_struct.is_property_hidden` `bpy_struct.is_property_readonly` `bpy_struct.is_property_set` `bpy_struct.items` | `bpy_struct.keyframe_delete` `bpy_struct.keyframe_insert` `bpy_struct.keys` `bpy_struct.path_from_id` `bpy_struct.path_resolve` `bpy_struct.property_unset` `bpy_struct.type_recast` `bpy_struct.values`

References

`BlendData.lamps` |